java: javacTask: source release 8 requires target release 1.8 в IntelliJ IDEA

Эта ошибка появляется внезапно и сразу же доводит до бешенства. Запускаешь компиляцию. а Idea в ответ:

java: javacTask: source release 8 requires target release 1.8 в IntelliJ IDEA

Чтобы поправить, отправляемся в .idea/compiler.xml, и выставляем в разделе byte­code­Tar­getLev­el для этого модуля target=1.8

Добавить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *